﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLANFEEBILL')
CREATE TABLE  T_CAD_PLANFEEBILL
(
	FID BIGINT DEFAULT 0 NOT NULL,
	FBILLNO NVARCHAR(255) DEFAULT ' '  NOT NULL,
	FBILLSTATUS NVARCHAR(50) DEFAULT ' '  NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FAUDITORID BIGINT DEFAULT 0 NOT NULL,
	FAUDITDATE DATETIME    NULL,
	FMODIFYTIME DATETIME    NULL,
	FCREATETIME DATETIME    NULL,
	FORGID BIGINT DEFAULT 0 NOT NULL,
	FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
	FMANUORGID BIGINT DEFAULT 0 NOT NULL,
	FPERIODID BIGINT DEFAULT 0 NOT NULL,
	FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
	FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL,
	FALLOCMOLD NVARCHAR(50) DEFAULT ' '  NOT NULL,
	FTOTALAMOUNT DECIMAL(23,10),
	FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
	FREMARK NVARCHAR(255) DEFAULT ' '  NOT NULL,
	FSOURCETYPE NVARCHAR(50) DEFAULT ' '  NOT NULL,
	FSRCSYSID NVARCHAR(36) DEFAULT ' '  NOT NULL,
	FAPPNUM NVARCHAR(50) DEFAULT ' '  NOT NULL,
	FSRCBILLTYPE NVARCHAR(50) DEFAULT ' '  NOT NULL,
	FSRCBILLID NVARCHAR(2000) DEFAULT ' '  NOT NULL,
	FCOLLCONFIGID BIGINT DEFAULT 0 NOT NULL,
	FSRCBILLNUM VARCHAR(2000) DEFAULT ' ' NOT NULL,
	FBIZDATE DATETIME  NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLANFEEBILL_L')
CREATE TABLE  T_CAD_PLANFEEBILL_L
(
	FPKID VARCHAR(36) DEFAULT '' NOT NULL,
	FID BIGINT DEFAULT 0 NOT NULL,
	FLOCALEID VARCHAR(10) DEFAULT '' NOT NULL,
	FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLANRESOURCE')
CREATE TABLE  T_CAD_PLANRESOURCE
(
	FID BIGINT DEFAULT 0 NOT NULL,
	FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
	FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FAUDITORID BIGINT DEFAULT 0 NOT NULL,
	FAUDITDATE DATETIME    NULL,
	FMODIFYTIME DATETIME    NULL,
	FCREATETIME DATETIME    NULL,
	FORGID BIGINT DEFAULT 0 NOT NULL,
	FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
	FMANUORGID BIGINT DEFAULT 0 NOT NULL,
	FPERIODID BIGINT DEFAULT 0 NOT NULL,
	FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
	FRESOURCEID BIGINT DEFAULT 0 NOT NULL,
	FQTY DECIMAL(23,10),
	FSOURCETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FAPPNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSRCSYSID VARCHAR(36) DEFAULT ' ' NOT NULL,
	FSRCBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSRCBILLID VARCHAR(2000) DEFAULT ' ' NOT NULL,
	FCOLLCONFIGID BIGINT DEFAULT 0 NOT NULL,
	FREMARK VARCHAR(50) DEFAULT ' ' NOT NULL,
	FRESOURCEUNIT BIGINT DEFAULT 0 NOT NULL,
	FSRCBILLNUM VARCHAR(2000) DEFAULT ' ' NOT NULL,
	FBIZDATE DATETIME  NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLANWORK')
CREATE TABLE  T_CAD_PLANWORK
(
	FID BIGINT DEFAULT 0 NOT NULL,
	FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
	FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FAUDITORID BIGINT DEFAULT 0 NOT NULL,
	FAUDITDATE DATETIME    NULL,
	FMODIFYTIME DATETIME    NULL,
	FCREATETIME DATETIME    NULL,
	FORGID BIGINT DEFAULT 0 NOT NULL,
	FMANUORGID BIGINT DEFAULT 0 NOT NULL,
	FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
	FWORKACTIVITYID BIGINT DEFAULT 0 NOT NULL,
	FQTY DECIMAL(23,10),
	FSOURCETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FAPPNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSRCSYSID VARCHAR(36) DEFAULT ' ' NOT NULL,
	FSRCBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSRCBILLID VARCHAR(255) DEFAULT ' ' NOT NULL,
	FCOLLCONFIGID BIGINT DEFAULT 0 NOT NULL,
	FREMARK VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCOSTDRIVERID BIGINT DEFAULT 0 NOT NULL,
	FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
	FSRCBILLNUM VARCHAR(2000) DEFAULT ' ' NOT NULL,
	FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
    FPERIODID BIGINT DEFAULT 0 NOT NULL,
    FBIZDATE DATETIME  NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLANWORKENTRY')
CREATE TABLE  T_CAD_PLANWORKENTRY
(
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ INTEGER DEFAULT 0 NOT NULL,
	FBENEFCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
	FENTRYQTY DECIMAL(23,10)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLANCOSTDRIVER')
CREATE TABLE  T_CAD_PLANCOSTDRIVER
(
	FID BIGINT DEFAULT 0 NOT NULL,
	FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
	FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FAUDITORID BIGINT DEFAULT 0 NOT NULL,
	FAUDITDATE DATETIME  NULL,
	FMODIFYTIME DATETIME  NULL,
	FCREATETIME DATETIME  NULL,
	FORGID BIGINT DEFAULT 0 NOT NULL,
	FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
	FMANUORGID BIGINT DEFAULT 0 NOT NULL,
	FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
	FCOSTDRIVERID BIGINT DEFAULT 0 NOT NULL,
	FSOURCEID BIGINT DEFAULT 0 NOT NULL,
	FQTY DECIMAL(23,10),
	FCOSTBASEUNIT BIGINT DEFAULT 0 NOT NULL,
	FSOURCETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FAPPNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSRCSYSID VARCHAR(36) DEFAULT ' ' NOT NULL,
	FSRCBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSRCBILLID VARCHAR(255) DEFAULT ' ' NOT NULL,
	FCOLLCONFIGID BIGINT DEFAULT 0 NOT NULL,
	FREMARK VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSRCBILLNUM VARCHAR(2000) DEFAULT ' ' NOT NULL,
	FPERIODID BIGINT DEFAULT 0 NOT NULL,
	FBIZDATE DATETIME  NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLANCOSTDRIVERENTRY')
CREATE TABLE  T_CAD_PLANCOSTDRIVERENTRY
(
	FID BIGINT  DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ INTEGER DEFAULT 0 NOT NULL,
	FBENEFCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
	FENTRYQTY DECIMAL(23,10)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLANNONPRODALLOC')
CREATE TABLE  T_CAD_PLANNONPRODALLOC
(
	FID BIGINT DEFAULT 0 NOT NULL,
	FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
	FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FAUDITORID BIGINT DEFAULT 0 NOT NULL,
	FAUDITDATE DATETIME  NULL,
	FMODIFYTIME DATETIME  NULL,
	FCREATETIME DATETIME  NULL,
	FORGID BIGINT DEFAULT 0 NOT NULL,
	FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
	FMANUORGID BIGINT DEFAULT 0 NOT NULL,
	FPERIODID BIGINT DEFAULT 0 NOT NULL,
	FALLOCMOLD VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
	FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL,
	FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
	FAMOUNT DECIMAL(23,10),
	FCOSTDRIVERID BIGINT DEFAULT 0 NOT NULL,
	FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
	FALLOCSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FALLOCTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FALLOCTIME DATETIME  NULL,
	FALLOCORID BIGINT DEFAULT 0 NOT NULL,
	FAPPNUM VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLANNONPRODALLOC_L')
CREATE TABLE  T_CAD_PLANNONPRODALLOC_L
(
	FPKID VARCHAR(36) DEFAULT '' NOT NULL,
	FID BIGINT DEFAULT 0 NOT NULL,
	FLOCALEID VARCHAR(10) DEFAULT '' NOT NULL,
	FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLNONPRODENTRY')
CREATE TABLE  T_CAD_PLNONPRODENTRY
(
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ INTEGER DEFAULT 0 NOT NULL,
	FBENEFCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
	FALLOCAMT DECIMAL(23,10),
	FALLOCVALUE DECIMAL(23,10)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLNONPRODSRCENTRY')
CREATE TABLE  T_CAD_PLNONPRODSRCENTRY
(
	FID BIGINT  DEFAULT 0 NOT NULL,
	FENTRYID BIGINT  DEFAULT 0 NOT NULL,
	FSEQ INTEGER DEFAULT 0 NOT NULL,
	FSRCBILLID BIGINT  DEFAULT 0 NOT NULL,
	FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLANAUXPRODALLOC')
CREATE TABLE  T_CAD_PLANAUXPRODALLOC
(
	FID BIGINT  DEFAULT 0 NOT NULL,
	FBILLNO VARCHAR(100) DEFAULT ' ' NOT NULL,
	FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT  DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT  DEFAULT 0 NOT NULL,
	FAUDITORID BIGINT  DEFAULT 0 NOT NULL,
	FAUDITDATE DATETIME  NULL,
	FMODIFYTIME DATETIME  NULL,
	FCREATETIME DATETIME  NULL,
	FORGID BIGINT  DEFAULT 0 NOT NULL,
	FCOSTACCOUNTID BIGINT  DEFAULT 0 NOT NULL,
	FMANUORGID BIGINT  DEFAULT 0 NOT NULL,
	FPERIODID BIGINT  DEFAULT 0 NOT NULL,
	FALLOCMOLD VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCOSTCENTERID BIGINT  DEFAULT 0 NOT NULL,
	FCURRENCYID BIGINT  DEFAULT 0 NOT NULL,
	FALLOCSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FALLOCTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FALLOCTIME DATETIME  NULL,
	FVOUCHERNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
	FALLOCMETHOD VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPUBLICAUX CHAR(1) DEFAULT '0' NOT NULL,
	FALLOCORID BIGINT  DEFAULT 0 NOT NULL,
	FAPPNUM VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLANAUXPRODALLOC_L')
CREATE TABLE  T_CAD_PLANAUXPRODALLOC_L
(
	FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
	FID BIGINT DEFAULT 0 NOT NULL,
	FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
	FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLAUXPCOMENTRY')
CREATE TABLE  T_CAD_PLAUXPCOMENTRY
(
	FID BIGINT  DEFAULT 0 NOT NULL,
	FENTRYID BIGINT  DEFAULT 0 NOT NULL,
	FSEQ INTEGER DEFAULT 0 NOT NULL,
	FEXPENSEITEMID BIGINT  DEFAULT 0 NOT NULL,
	FCOSTDRIVERID BIGINT  DEFAULT 0 NOT NULL,
	FALLOCAMOUNT DECIMAL(23,10),
	FBASEUNIT BIGINT  DEFAULT 0 NOT NULL,
	FCOSTDRIVERQTY DECIMAL(23,10),
	FALLOCSUM DECIMAL(23,10),
	FACTUALRATE DECIMAL(23,10),
	FACTUALINRATE DECIMAL(23,10),
	FACTUALOUTRATE DECIMAL(23,10)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLAUXPCOMSUBENTRY')
CREATE TABLE  T_CAD_PLAUXPCOMSUBENTRY
(
	FENTRYID BIGINT  DEFAULT 0 NOT NULL,
	FDETAILID BIGINT  DEFAULT 0 NOT NULL,
	FSEQ INTEGER DEFAULT 0 NOT NULL,
	FSUBCOSTCENTERID BIGINT  DEFAULT 0 NOT NULL,
	FSUBEXPENSEITEMID BIGINT  DEFAULT 0 NOT NULL,
	FSUBCOSTDRIVERID BIGINT  DEFAULT 0 NOT NULL,
	FSUBBASEUNIT BIGINT  DEFAULT 0 NOT NULL,
	FSUBQTY DECIMAL(23,10),
	FSUBINQTY DECIMAL(23,10),
	FSUBOUTQTY DECIMAL(23,10),
	FSUBAMT DECIMAL(23,10),
	FSUBINAMT DECIMAL(23,10),
	FSUBOUTAMT DECIMAL(23,10)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLAUXPPARENTRY')
CREATE TABLE  T_CAD_PLAUXPPARENTRY
(
	FID BIGINT  DEFAULT 0 NOT NULL,
	FENTRYID BIGINT  DEFAULT 0 NOT NULL,
	FSEQ INTEGER DEFAULT 0 NOT NULL,
	FPARENTENTRYID BIGINT  DEFAULT 0 NOT NULL,
	FPAREXPENSEITEMID BIGINT  DEFAULT 0 NOT NULL,
	FPARCOSTDRIVERID BIGINT  DEFAULT 0 NOT NULL,
	FPARALLOCAMOUNT DECIMAL(23,10),
	FPARBASEUNIT BIGINT  DEFAULT 0 NOT NULL,
	FPARCOSTDRIVERQTY DECIMAL(23,10),
	FPARALLOCSUM DECIMAL(23,10),
	FPARACTUALRATE DECIMAL(23,10),
	FPARACTUALINRATE DECIMAL(23,10),
	FPARACTUALOUTRATE DECIMAL(23,10)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLAUXPPARSUBENTRY')
CREATE TABLE  T_CAD_PLAUXPPARSUBENTRY
(
	FENTRYID BIGINT  DEFAULT 0 NOT NULL,
	FDETAILID BIGINT  DEFAULT 0  NOT NULL,
	FSEQ INTEGER DEFAULT 0 NOT NULL,
	FPARSUBCOSTCENTERID BIGINT  DEFAULT 0 NOT NULL,
	FPARSUBEXPENSEITEMID BIGINT  DEFAULT 0 NOT NULL,
	FPARSUBCOSTDRIVERID BIGINT  DEFAULT 0 NOT NULL,
	FPARSUBBASEUNIT BIGINT  DEFAULT 0 NOT NULL,
	FPARSUBQTY DECIMAL(23,10),
	FPARSUBINQTY DECIMAL(23,10),
	FPARSUBOUTQTY DECIMAL(23,10),
	FPARSUBAMT DECIMAL(23,10),
	FPARSUBINAMT DECIMAL(23,10),
	FPARSUBOUTAMT DECIMAL(23,10),
	FCOMSUBENTRYID BIGINT  DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLAUXPSRCENTRY')
CREATE TABLE  T_CAD_PLAUXPSRCENTRY
(
	FID BIGINT  DEFAULT 0  NOT NULL,
	FENTRYID BIGINT  DEFAULT 0  NOT NULL,
	FSEQ INTEGER DEFAULT 0 NOT NULL,
	FSRCBILLID BIGINT  DEFAULT 0  NOT NULL,
	FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLANBASICALLOC')
CREATE TABLE  T_CAD_PLANBASICALLOC
(
	FID BIGINT  DEFAULT 0  NOT NULL,
	FBILLNO VARCHAR(100) DEFAULT ' ' NOT NULL,
	FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT  DEFAULT 0  NOT NULL,
	FMODIFIERID BIGINT  DEFAULT 0  NOT NULL,
	FAUDITORID BIGINT  DEFAULT 0  NOT NULL,
	FAUDITDATE DATETIME  NULL,
	FMODIFYTIME DATETIME  NULL,
	FCREATETIME DATETIME  NULL,
	FORGID BIGINT  DEFAULT 0  NOT NULL,
	FCOSTACCOUNTID BIGINT  DEFAULT 0  NOT NULL,
	FMANUORGID BIGINT  DEFAULT 0  NOT NULL,
	FPERIODID BIGINT  DEFAULT 0  NOT NULL,
	FALLOCMOLD VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCOSTCENTERID BIGINT  DEFAULT 0  NOT NULL,
	FCURRENCYID BIGINT  DEFAULT 0  NOT NULL,
	FAMOUNT DECIMAL(23,10),
	FALLOCSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FALLOCTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FALLOCORID BIGINT  DEFAULT 0  NOT NULL,
	FALLOCTIME DATETIME  NULL,
	FVOUCHERNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
	FEXPENSEITEMID BIGINT  DEFAULT 0  NOT NULL,
	FCOSTDRIVERID BIGINT  DEFAULT 0  NOT NULL,
	FSCRBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSOURCETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FAPPNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPRODUCTGROUPID BIGINT  DEFAULT 0  NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLANBASICALLOC_L')
CREATE TABLE  T_CAD_PLANBASICALLOC_L
(
	FPKID VARCHAR(36) DEFAULT '' NOT NULL,
	FID BIGINT DEFAULT 0 NOT NULL,
	FLOCALEID VARCHAR(10) DEFAULT '' NOT NULL,
	FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLBASICALLOCENTRY')
CREATE TABLE  T_CAD_PLBASICALLOCENTRY
(
	FID BIGINT  DEFAULT 0  NOT NULL,
	FENTRYID BIGINT  DEFAULT 0  NOT NULL,
	FSEQ INTEGER DEFAULT 0 NOT NULL,
	FENTRYCOSTCENTERID BIGINT  DEFAULT 0  NOT NULL,
	FENTRYEXPENSEITEMID BIGINT  DEFAULT 0  NOT NULL,
	FENTRYCOSTDRIVERID BIGINT  DEFAULT 0  NOT NULL,
	FENTRYBASEUNITID BIGINT  DEFAULT 0  NOT NULL,
	FENTRYQTY DECIMAL(23,10),
	FENTRYAMOUNT DECIMAL(23,10)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLBASICPCOMENTRY')
CREATE TABLE  T_CAD_PLBASICPCOMENTRY
(
	FID BIGINT  DEFAULT 0  NOT NULL ,
	FENTRYID BIGINT  DEFAULT 0  NOT NULL ,
	FSEQ INTEGER DEFAULT 0 NOT NULL,
	FCOMEXPENSEITEMID BIGINT  DEFAULT 0  NOT NULL,
	FCOMCOSTDRIVERID BIGINT  DEFAULT 0  NOT NULL,
	FALLOCAMOUNT DECIMAL(23,10),
	FBASEUNITID BIGINT  DEFAULT 0  NOT NULL,
	FCOSTDRIVERQTY DECIMAL(23,10),
	FALLOCSUM DECIMAL(23,10)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLBASICPCOMSUBENTRY')
CREATE TABLE  T_CAD_PLBASICPCOMSUBENTRY
(
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FDETAILID BIGINT DEFAULT 0 NOT NULL,
    FSEQ INTEGER DEFAULT 0 NOT NULL,
    FSUBCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
    FCOMSUBEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL,
    FCOMSUBCOSTDRIVERID BIGINT DEFAULT 0 NOT NULL,
    FSUBBASEUNITID BIGINT DEFAULT 0 NOT NULL,
    FSUBQTY DECIMAL(23,10),
    FSUBAMT DECIMAL(23,10)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLBASICPPARENTRY')
CREATE TABLE  T_CAD_PLBASICPPARENTRY
(
	FID BIGINT  DEFAULT 0  NOT NULL,
	FENTRYID BIGINT  DEFAULT 0  NOT NULL,
	FSEQ INTEGER DEFAULT 0 NOT NULL,
	FPARENTENTRYID BIGINT  DEFAULT 0  NOT NULL,
	FPAREXPENSEITEMID BIGINT  DEFAULT 0  NOT NULL,
	FPARCOSTDRIVERID BIGINT  DEFAULT 0  NOT NULL,
	FPARALLOCAMOUNT DECIMAL(23,10),
	FPARBASEUNITID BIGINT  DEFAULT 0  NOT NULL,
	FPARCOSTDRIVERQTY DECIMAL(23,10),
	FPARACTUALRATE DECIMAL(23,10),
	FPARALLOCSUM DECIMAL(23,10),
	FCOMPAREXPITEMID BIGINT  DEFAULT 0  NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLBASICPPARSUBENTRY')
CREATE TABLE  T_CAD_PLBASICPPARSUBENTRY
(
	FENTRYID BIGINT  DEFAULT 0  NOT NULL,
	FDETAILID BIGINT  DEFAULT 0  NOT NULL,
	FSEQ INTEGER DEFAULT 0 NOT NULL,
	FPARSUBCOSTCENTERID BIGINT  DEFAULT 0  NOT NULL,
	FPARSUBEXPENSEITEMID BIGINT  DEFAULT 0  NOT NULL,
	FPARSUBCOSTDRIVERID BIGINT  DEFAULT 0  NOT NULL,
	FPARSUBBASEUNITID BIGINT  DEFAULT 0  NOT NULL,
	FPARSUBQTY DECIMAL(23,10),
	FPARSUBAMT DECIMAL(23,10)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLBASICPSRCENTRY')
CREATE TABLE  T_CAD_PLBASICPSRCENTRY
(
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ INTEGER DEFAULT 0 NOT NULL,
	FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
	FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_RESOURCPLANRATE')
CREATE TABLE  T_CAD_RESOURCPLANRATE
(
	FID BIGINT  DEFAULT 0  NOT NULL,
	FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
	FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT  DEFAULT 0  NOT NULL,
	FMODIFIERID BIGINT  DEFAULT 0  NOT NULL,
	FAUDITORID BIGINT  DEFAULT 0  NOT NULL,
	FAUDITDATE  DATETIME  NULL,
	FMODIFYTIME  DATETIME  NULL,
	FCREATETIME  DATETIME  NULL,
	FORGID BIGINT  DEFAULT 0  NOT NULL,
	FCOSTACCOUNTID BIGINT  DEFAULT 0  NOT NULL,
	FCOSTCENTERID BIGINT  DEFAULT 0  NOT NULL,
	FCOSTCENTERGROUPID BIGINT  DEFAULT 0  NOT NULL,
	FPERIODID BIGINT  DEFAULT 0  NOT NULL,
	FMANUORGID BIGINT  DEFAULT 0  NOT NULL,
	FEXPENSEITEMID BIGINT  DEFAULT 0  NOT NULL,
	FTOTALAMOUNT DECIMAL(23,10),
	FCURRENCYID BIGINT  DEFAULT 0  NOT NULL,
	FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL,
	FAPPNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
	FRESOURCEID BIGINT  DEFAULT 0  NOT NULL,
	FQTY DECIMAL(23,10),
	FPLANRATE DECIMAL(23,10),
	FSRCBILLID VARCHAR(2000) DEFAULT ' ' NOT NULL,
	FRESOURCEUNIT BIGINT  DEFAULT 0  NOT NULL,
	FSUBELEMENTID BIGINT  DEFAULT 0  NOT NULL,
	FAMOUNT DECIMAL(23,10),
	FELEMENTID BIGINT DEFAULT 0 NOT NULL
);